Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.acceptor.simulatedannealing
Class LegacySimulatedAnnealingAcceptor

    java.lang.Object
      org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
          org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
              org.drools.planner.core.localsearch.decider.acceptor.AbstractAcceptor
                  org.drools.planner.core.localsearch.decider.acceptor.simulatedannealing.LegacySimulatedAnnealingAcceptor

All Implemented Interfaces:
  EventListener, Acceptor, LocalSearchSolverPhaseLifecycleListener, SolverLifecycleListener

    public class LegacySimulatedAnnealingAcceptor

extends AbstractAcceptor

TODO this will be removed once the time gradient based `SimulatedAnnealingAcceptor` is always better.

Field Summary
`protected double` | `startingTemperature`
`protected double` | `temperature`
`protected double` | `temperatureSurvival`

Fields inherited from class org.drools.planner.core.localsearch.decider.acceptor.AbstractAcceptor
`logger`

Constructor Summary
`LegacySimulatedAnnealingAcceptor()`

Method Summary
`boolean` | `isAccepted(LocalSearchMoveScope moveScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope phaseScope)`
`void` | `setStartingTemperature(double startingTemperature)`
`void` | `setTemperatureSurvival(double temperatureSurvival)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`

Methods inherited from class org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`phaseEnded, stepStarted`

Methods inherited from class org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`phaseEnded, stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### startingTemperature

    protected double startingTemperature

### temperatureSurvival

    protected double temperatureSurvival

### temperature

    protected double temperature

Constructor Detail

### LegacySimulatedAnnealingAcceptor

    public LegacySimulatedAnnealingAcceptor()

Method Detail

### setStartingTemperature

    public void setStartingTemperature(double startingTemperature)

### setTemperatureSurvival

    public void setTemperatureSurvival(double temperatureSurvival)

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### isAccepted

    public boolean isAccepted(LocalSearchMoveScope moveScope)

  Parameters:
    `moveScope` - not null
  Returns:
    true if accepted

### stepEnded

    public void stepEnded(LocalSearchStepScope stepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `stepEnded` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.